Subject: Re: Xilinx SystemACE driver for 2.6

From: Ameet Patil <[email-masked]>
Date: Mon, 03 Jul 2006 10:05:30 +0100

Hi Grant,
    I totally agree with you. What you say is correct. It will 
definitely kill the CF card. I use a XUPV2PRO board which doesn't come 
with a microdrive and for my research SWAP is a must. :-)

However, I shall add a NOTE in the article mentioning the same.

Thanks a lot,
-Ameet

Grant Likely wrote:
> On 6/30/06, Ameet Patil <[email-masked]> wrote:
>> Here is PART I of the article:
>> http://www.linux.get2knowmore.com/2006/06/30/quick-guide-linux-26-on-xilinx-virtex-ii-pro-boards-part-i/ 
>>
>>
>> Let me know if you get messages at boot time after following the above...
> 
> Quick comment on your article; unless you're using a microdrive;
> *PLEASE* don't recommend using compact flash as swap space.  Flash
> technology has limited write cycles (on the order of 100k to 1M cycles
> per block).  Using it as swap is a great way to kill the lifecycle of
> your device.
> 
> (the ML300 ships with a microdrive; the ML40x ships with a regular CF card)
> 
> I know the previous article also recommends a swap partition, but
> Linux will happily run without swap.
> 
> Cheers,
> g.
>